Bug 170494 - missing buildrequirement for javadoc generator
missing buildrequirement for javadoc generator
Product: Fedora
Classification: Fedora
Component: cairo-java (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2005-10-12 08:11 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-05 15:47:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2005-10-12 08:11:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050827 Fedora/1.1-0.2.8.deerpark.alpha2 Firefox/1.0+

Description of problem:
cairo-java cannot be built if there's no javadoc generator present:
checking for javadoc... no
configure: error: no acceptable javadoc generator found in $PATH
error: Bad exit status from /var/tmp/rpm-tmp.61871 (%build)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.try to build without having a javadoc generator

Additional info:
Comment 1 Igor Foox 2005-10-12 09:12:55 EDT
Thanks for reporting this. Did you manage to build any of the other java-gnome
packages with a javadoc generator? Specifically cairo-java requires glib-java,
were you able to build that? (I'm assuming no, since it seems that all the
java-gnome packages are missing this build requirement a.t.m.).
Comment 2 Karsten Hopp 2006-05-02 09:12:32 EDT
Well, it looks like all those java-gnome packages need proper build requirements.
Did you actually remove the javadoc generator from your system and have you tried
to build the cairo-java without it ?
That bug still exists in the current -development tree and will need to be fixed
when we switch to the new brew buildsystem in June/July as that one is supposed
to fail the build when the buildrequirements are incomplete.
Comment 3 Stepan Kasal 2007-11-05 15:47:59 EST
I believe the build requires are correct in the current version.

Note You need to log in before you can comment on or make changes to this bug.